Package com.io7m.cardant.database.api

# Enum Class CADatabaseCreate

java.lang.Object
java.lang.Enum<CADatabaseCreate>
com.io7m.cardant.database.api.CADatabaseCreate

All Implemented Interfaces:
  `Serializable`, `Comparable<CADatabaseCreate>`, `Constable`

public enum CADatabaseCreate extends Enum<CADatabaseCreate>
Create or do not create a database.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATE_DATABASE`
  Create the database.
  `DO_NOT_CREATE_DATABASE`
  Do not create the database.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CADatabaseCreate`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CADatabaseCreate[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CREATE_DATABASE

    public static final CADatabaseCreate CREATE_DATABASE
    Create the database.

  - ### DO_NOT_CREATE_DATABASE

    public static final CADatabaseCreate DO_NOT_CREATE_DATABASE
    Do not create the database.

- ## Method Details

  - ### values

    public static CADatabaseCreate[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CADatabaseCreate valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null